MAV_HBB(3)

NAME
MAV_HBB - SMS data structure.

LEVEL
Maverik Level 2

SYNTAX

 typedef struct {
  MAV_HBBCluster *root;
  int size;
  MAV_HBBPointer *pointer;
} MAV_HBB;

DESCRIPTION
This data structure is supplied for information only.

This is the data structure used to implement the default MAV_HBB SMS, namely, a hierarchy of objects (based on bounding boxes).

Users should not manipulate this data structure directly, but rather by the execution of the relevant callback (for example, add object, remove object) which act upon it. Similarly, users will rarely need to explicitly define this data structure since the @mav_HBBNew function return a pointer to a newly created and initialized data structures. This routine act as the second argument to the mav_SMSNew function. For example:

<cod> sms= mav_SMSNew(mav_SMSClass_HBB, mav_HBBNew()); </cod>